<?php

declare(strict_types=1);

namespace App\Policies;

use App\Models\FeedPurchase;
use Illuminate\Auth\Access\HandlesAuthorization;
use Illuminate\Foundation\Auth\User as AuthUser;

class FeedPurchasePolicy
{
    use HandlesAuthorization;

    public function viewAny(AuthUser $authUser): bool
    {
        return $authUser->can('ViewAny:FeedPurchase');
    }

    public function view(AuthUser $authUser, FeedPurchase $feedPurchase): bool
    {
        return $authUser->can('View:FeedPurchase');
    }

    public function create(AuthUser $authUser): bool
    {
        return $authUser->can('Create:FeedPurchase');
    }

    public function update(AuthUser $authUser, FeedPurchase $feedPurchase): bool
    {
        return $authUser->can('Update:FeedPurchase');
    }

    public function delete(AuthUser $authUser, FeedPurchase $feedPurchase): bool
    {
        return $authUser->can('Delete:FeedPurchase');
    }

    public function restore(AuthUser $authUser, FeedPurchase $feedPurchase): bool
    {
        return $authUser->can('Restore:FeedPurchase');
    }

    public function forceDelete(AuthUser $authUser, FeedPurchase $feedPurchase): bool
    {
        return $authUser->can('ForceDelete:FeedPurchase');
    }

    public function forceDeleteAny(AuthUser $authUser): bool
    {
        return $authUser->can('ForceDeleteAny:FeedPurchase');
    }

    public function restoreAny(AuthUser $authUser): bool
    {
        return $authUser->can('RestoreAny:FeedPurchase');
    }

    public function replicate(AuthUser $authUser, FeedPurchase $feedPurchase): bool
    {
        return $authUser->can('Replicate:FeedPurchase');
    }

    public function reorder(AuthUser $authUser): bool
    {
        return $authUser->can('Reorder:FeedPurchase');
    }
}
